Subject: bug#45402: 28.0.50; new completion inconvenience

From: Michael Albinus <[email-masked]>
Date: Thu, 24 Dec 2020 09:53:40 +0100

Richard Stallman <[email-masked]> writes:

Hi Richard,

> My default directory is ~/ and I tyoe C-x C-f /med TAB.
>
> It used to give me ~//media/.  Another TAB would give me
> ~//media/rms/.
>
> But now it gives me ~//media and more TABs does not get me any further
> than that.
>
> I think this is related to Tramp, but I don't use Tramp.

This is Tramp indeed. It knows a new method "media", which is in the way
now for you. If you enter another "/" after "...media" in your
minibuffer, TAB will continue to complete as you know.

If you don't use Tramp, just set tramp-mode to nil in your .emacs.

Best regards, Michael.